[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindLeftMost

Find the node most left to a specified data node

## Declaration

Source position: avl_tree.pp line 71

`public function TAVLTree.FindLeftMost(`
`Data: Pointer`
`):TAVLTreeNode;`

## Arguments

`Data` |  | The data item where to start the search from

## Function result

The leftmost node relative to Data

## Description

FindLeftMost finds the node most left from the Data node. It starts at the preceding node for Data and tries to move as far right in the tree as possible.

This operation corresponds to finding the previous item in a list.

## See also

TAVLTree.FindRightMost |  | Find the node most right to a specified node
TAVLTree.FindLeftMostKey |  | Find the node most left to a specified key node
TAVLTree.FindRightMostKey |  | Find the node most right to a specified key node

The latest version of this document can be found at lazarus-ccr.sourceforge.net .